Skip to main content
GET
/
v2
/
devices
/
{device_id}
Get Device
curl --request GET \
  --url https://api.loyalty.dog/v2/devices/{device_id} \
  --header 'Authorization: Bearer <token>'
{
  "deviceId": "<string>",
  "deviceSid": "<string>",
  "deviceName": "<string>",
  "programId": "<string>",
  "lastSeenAt": "2023-11-07T05:31:56Z",
  "activatedAt": "2023-11-07T05:31:56Z",
  "locationName": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

device_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

Basic device information response.

deviceId
string
required

Device ID

deviceSid
string
required

Device SID

deviceType
enum<string>
required

Type of device

Available options:
tablet_kiosk,
tablet,
kiosk
deviceName
string
required

Device name

status
enum<string>
required

Device status

Available options:
active,
inactive,
blocked,
pending_activation
programId
string
required

Loyalty program ID

lastSeenAt
string<date-time> | null

Last time the device was active

activatedAt
string<date-time> | null

When the device was activated

locationName
string | null

Physical location of device